/*
 * Copyright (c) "Neo4j"
 * Neo4j Sweden AB [https://neo4j.com]
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.neo4j.driver.summary;

/**
 * Provides basic information about where a {@link ResultSummary} is obtained from.
 */
public interface DatabaseInfo {
    /**
     * The name of the database where a {@link ResultSummary} is obtained from.
     * Default to {@code null} if servers does not support multi-databases.
     * @return the name of the database where a {@link ResultSummary} is obtained from
     */
    String name();
}
